Subject: bug#12419: Mouse click changes layout

From: Daniel Pfeiffer <[email-masked]>
Date: Sat, 22 Sep 2012 22:29:42 +0200

Oops, sorry, I missed this one.

la 09/16/2012 07:45 PM martin rudalics skribis:
> > Ahem, not so sure what you'd want here.  But playing with your
> >
> >  >   emacs -Q
> >  >   (message (make-string 1000 ?a))
> >  >   C-x C-e
> >
> > example, which btw. give me only 8 lines, whit the initial quote out of
> > sight, you can easily reproduce this:
> >
> > Split *scratch* horizontally
>
> ... vertically (the new window is below the old one) ...

Matter of viewpoint, the split is horizontal, the resulting windows are 
stacked vertically.  Apparently the commands are now called ...below and 
...right, to avoid this confusion.

> > and then click on the 1 of 1000.
>
> ... in the new, lower window.
>
> > The
> > minibuffer shrinks, the 1 is blinking, but the mouse is no over the n of
> > notes, which slid down.  When letting go, the n blinks and all up to
> > before 1000 is marked.
>
> I can see that.
>
> > Independently of resizing, something similar happens for sideways
> > scrolling:  Split *scratch* vertically, click on the v of visit,
>
> What is the "v of visit"?

In the default text Emacs puts into that buffer (if you did exactly like I 
wrote), there is the word visit, which obviously contains a v.

> > nothing
> > happens (that's where it dffers).  But then move the mouse 1 char right,
> > this triggers a sideways scroll.  The mouse is now over the e of file.
> > When letting go, it marks "visit that fil" but worse, it scrolls yet
> > again by the same amount, so that the mouse is now at the end of the
> > line, far from the text it marked.
> >
> > I'd expect both cases to consistently do something only when I release
> > the mouse, or when I drag to outside the window to force scrolling.
>
> Can you try the attached patch?

I now did, but in neither split direction anything seems to have changed from 
what I described before.

coralament / best Grötens / liebe Grüße / best regards / elkorajn salutojn
Daniel Pfeiffer

-- 
lerne / learn / apprends / lär dig / ucz się    Esperanto:
                     http://lernu.net  /  http://ikurso.net